/////////////////////////////////////////////////////////////////////////////
// FPGA PACMAN all ROM preload from ConfigrationROM
//
// Version : 0.92
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// Important !
//
// This software is freeware for non-commercial use. 
// This software is provided "AS IS", without warranty of any kind.
// You can use this under your own risk. 
//
// 2004. 9.16 created dummy file
//
/////////////////////////////////////////////////////////////////////////////

module pac_cfr(
  clk3x,phase3x,
// Configration ROM
  CFR_EN,CFR_DI,
  CFR_CLK_I,CFR_CLK_O,CFR_CLK_T,
// memory interface
  CFG_EN,CFG_A,CFG_DO,
  CFG_DT,CFG_OE,CFG_WE
);

input clk3x;
input [2:0] phase3x;

// Configration ROM
output CFR_EN;
input CFR_DI;
input CFR_CLK_I;
output CFR_CLK_O;
output CFR_CLK_T;

// memory interface
output CFG_EN;
output [15:0] CFG_A;
output [7:0] CFG_DO;

output CFG_DT; // external tristate controll
output CFG_OE; // external OE
output CFG_WE; // external WE

endmodule
